libmoosex-object-pluggable-perl_0.0013-1_all.deb


Advertisement

Description

libmoosex-object-pluggable-perl - Perl module for adding plugin support to your Moose classes

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmoosex-object-pluggable-perl
Package version: 0.0013
Package release: 1
Package architecture: all
Package type: deb
Installed size: 70 B
Download size: 14.53 KB
Official Mirror: ftp.br.debian.org
MooseX::Object::Pluggable is meant to be loaded as a role from Moose-based classes. It will add five methods and four attributes to assist you with the loading and handling of plugins and extensions for plugins. This may pollute your namespace, however great care has been taken in using the least ambiguous names possible.

    Download

    Source package: libmoosex-object-pluggable-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmoosex-object-pluggable-perl deb package:
      # sudo apt-get install libmoosex-object-pluggable-perl

    Files

    • /usr/share/doc/libmoosex-object-pluggable-perl/CONTRIBUTING
    • /usr/share/doc/libmoosex-object-pluggable-perl/changelog.Debian.gz
    • /usr/share/doc/libmoosex-object-pluggable-perl/changelog.gz
    • /usr/share/doc/libmoosex-object-pluggable-perl/copyright
    • /usr/share/man/man3/MooseX::Object::Pluggable.3pm.gz
    • /usr/share/perl5/MooseX/Object/Pluggable.pm

    Changelog

    2014-05-07 - gregor herrmann <gregoa@debian.org> libmoosex-object-pluggable-perl (0.0013-1) unstable; urgency=medium * Install CONTRIBUTING file. * debian/control: bump required debhelper version for Module::Build::Tiny to 9.20140227. * Strip trailing slash from metacpan URLs. * New upstream release. * Update years of packaging copyright. * Add new build and runtime dependencies.

    2013-12-22 - gregor herrmann <gregoa@debian.org> libmoosex-object-pluggable-perl (0.0012-1) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * Explicitly (build-)depend on Module::Pluggable::Object. (Closes: #711669) [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ gregor herrmann ] * New upstream release. * Update years of packaging copyright. Drop info about removed files. * Update (build) dependencies. * Update long description. * Declare compliance with Debian Policy 3.9.5.

    2011-09-17 - Ansgar Burchardt <ansgar@debian.org> libmoosex-object-pluggable-perl (0.0011-2) unstable; urgency=low * Team upload. [ Jonathan Yu ] * Removed Alexis Sukrieh from Uploaders (Closes: #536136) [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. * debian/copyright: Formatting changes. * Use source format 3.0 (quilt). * Use tiny debian/rules with debhelper 8. * Make build-dep on perl unversioned. * Bump Standards-Version to 3.9.2.

    2009-05-04 - Brian Cassidy <brian.cassidy@gmail.com> libmoosex-object-pluggable-perl (0.0011-1) unstable; urgency=low [ Brian Cassidy ] * New upstream release * debian/control: Standards-Version to 3.8.1 [ gregor herrmann ] * debian/copyright: update years of copyright for files under inc/. * debian/control: mention module name in long description.

    2008-12-15 - Brian Cassidy <brian.cassidy@gmail.com> libmoosex-object-pluggable-perl (0.0009-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * debian/control: Added: ${misc:Depends} to Depends: field. [ Brian Cassidy ] * New upstream release * debian/control: + add myself to Uploaders + inc debhelper version * debian/compat: version 7 * debian/rules: updated to new standards * debian/copyright: updated to new standards * debian/lintian-overrides: removed

    2008-07-19 - gregor herrmann <gregoa@debian.org> libmoosex-object-pluggable-perl (0.0008-1) unstable; urgency=low * New upstream release. * Set Standards-Version to 3.8.0 (no changes). * Add /me to Uploaders. * Make (build) dependency on libmoose-perl versioned (>= 0.35). * debian/copyright: add information about the files under inc/; point to dist-based download URL. * Refresh debian/rules, no functional changes; except: don't install README any more. * Add a lintian override for a manpage warning caused by a long URL.

    2008-01-30 - Damyan Ivanov <dmn@debian.org> libmoosex-object-pluggable-perl (0.0007-1) unstable; urgency=low [ gregor herrmann ] * New upstream release. * debian/rules: fix typo in environment parameter.

    Advertisement
    Advertisement